%define name	graveman
%define version 0.3.12
%define realver %version-4
%define release 3mdk

Name: 	 	%{name}
Summary: 	Simple frontend for CD creation
Version: 	%{version}
Release: 	%{release}

Source:		http://graveman.tuxfamily.org/sources/%{name}-%{realver}.tar.bz2
URL:		http://graveman.tuxfamily.org/index-e.php
License:	GPL
Group:		Archiving/Cd burning
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	gtk2-devel libglade2.0-devel libid3tag-devel
BuildRequires:	libvorbis-devel libmad-devel
BuildRequires:	libflac-devel
BuildRequires:	libmng-devel
BuildRequires:	perl-XML-Parser
Requires:	cdrecord sox dvd+rw-tools sox cdrdao

%description
Another frontend for cdrecord, mkisofs, readcd and sox!
With graveman you can burn audio cds (wav, ogg, mp3), data cds,
and duplicate cds.

%prep
%setup -q -n %name-%realver

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_mandir/man1
cp man/%name.man %buildroot/%_mandir/man1/%name.1
bzip2 %buildroot/%_mandir/man1/%name.1
mkdir -p %buildroot/%_mandir/fr/man1
cp man/%name.fr.man %buildroot/%_mandir/fr/man1/%name.1
bzip2 %buildroot/%_mandir/fr/man1/%name.1
perl -p -i -e 's/install\:/none\:/g' man/Makefile
%makeinstall_std

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Graveman" longtitle="Simple CD Burning" section="System/Archiving/CD Burning"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 pixmaps/graver.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 pixmaps/graver.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 pixmaps/graver.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS THANKS README*
%{_bindir}/%name
%{_datadir}/applications/*
%{_datadir}/%name
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%{_mandir}/fr/man1/*
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Wed Jun 15 2005 Gtz Waschk <waschk@mandriva.org> 0.3.12-3mdk
- update to patchlevel 4

* Wed May 18 2005 Gtz Waschk <waschk@mandriva.org> 0.3.12-2mdk
- fix buildrequires

* Tue May 17 2005 Gtz Waschk <waschk@mandriva.org> 0.3.12-1mdk
- fix URL
- New release 0.3.12

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 0.3.11-2mdk
- fix buildrequires

* Fri May  6 2005 Gtz Waschk <waschk@mandriva.org> 0.3.11-1mdk
- new URLs
- New release 0.3.11

* Mon Apr 04 2005 Austin Acton <austin@mandrake.org> 0.3.10-1mdk
- New release 0.3.10
- fudge man install for now
- fix source URL

* Sat Apr 2 2005 Austin Acton <austin@mandrake.org> 0.3.9-1mdk
- 0.3.9
- require flac and cdrdao

* Tue Feb 15 2005 Austin Acton <austin@mandrake.org> 0.3.8-1mdk
- 0.3.8
- require sox

* Sun Feb 13 2005 Austin Acton <austin@mandrake.org> 0.3.7-1mdk
- 0.3.7

* Thu Feb 3 2005 Austin Acton <austin@mandrake.org> 0.3.6-1mdk
- 0.3.6
- require dvd+rw-tools
- source URL

* Tue Feb 01 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5-2mdk
- url

* Tue Feb 01 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5-1mdk
- 0.3.5

* Tue Jan 25 2005 Austin Acton <austin@mandrake.org> 0.3.4-1mdk
- 0.3.4

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- 0.3.2

* Thu Jan 20 2005 Austin Acton <austin@mandrake.org> 0.3.1-1mdk
- 0.3.1
- buildrequires libmad

* Tue Jan 18 2005 Austin Acton <austin@mandrake.org> 0.3.0-1mdk
- 0.3.0

* Mon Jan 17 2005 Austin Acton <austin@mandrake.org> 0.2.20050117-1mdk
- 0.2.20050117

* Wed Jan 12 2005 Austin Acton <austin@mandrake.org> 0.2.20050112-1mdk
- 0.2.20050112

* Mon Jan 10 2005 Austin Acton <austin@mandrake.org> 0.2.20050110-1mdk
- initial package
